/** login/registration page **/
.ttm-header-login {
    float: right;
}
.ttm-header-login a {
    color: var(--ttm-skincolor);
	transition: all 0.5s ease;
    font-size: 16px;
	position: relative;
}
.ttm-header-login a:hover {
    color: var(--ttm-whitecolor);
}
/** login popup **/
.ttm-loginform-popup .close {
    float: right;
    cursor: pointer;
    font-size: 20px;
}
.ttm-header-login-page .field-icon {
  float: right;
  margin-top: -65px;
  position: relative;
  z-index: 2;
  margin-right: 20px;
}
.ttm-login-text-area {
	text-align: center;
	margin-bottom: 30px;
}
.ttm-login-text-area span {
    margin-top: -5px;
    display: block;
}
/** login popup **/
/** team registration **/
.ttm-loginform-popup .popup-content.team-registration-content {
    width: 100%;
}
.login-leftside {
    width: 35%;
    float: left;
    margin-right: 40px;
    background: var(--ttm-greycolor);
    padding: 42px 30px;
    display: flex;
    border-radius: var(--border-radius-box) 0;
    justify-content: center;
    border: 1px solid var(--ttm-bordercolor);
    overflow: hidden;
}
.login-rightside {
    overflow: hidden;
    display: flex;
    align-items: center;
    border-radius: var(--border-radius-box) 0;
}
.ttm-login-image-area img {
    border-radius: var(--border-radius-box) 0;
}
.ttm-header-login-page {
    display: flex;
    justify-content: center;        
   /* height: 100vh;  */
    padding: 40px;
}
#teamregistration-form .ttm-btn {
    width: 100%;
    margin-top: 17px;
}

.ttm-header-login-page .select2-container--default .select2-selection--single, .ttm-header-login-page .select2-container--default .select2-selection--multiple, .select2-dropdown {
    background: rgba(255,255,255,0.05);
}
/** team registration **/
.ttm-header-login-page .ttm-loginform-popup {
    display: flex;
    position: relative;
    background: transparent;
    align-items: center;
}
.ttm-header-login-page .ttm-loginform-popup .popup-content {
	margin: 0;
}
.page-template-login footer, .page-template-registration footer {
	border-top: 1px solid var(--ttm-bordercolor);
}
.ttm-header-login-page input[type="text"], .ttm-header-login-page input[type="email"], .ttm-header-login-page input[type="password"]{
	margin-bottom: 25px;
    background: rgba(255, 255, 255, 0.05);
}
.ttm-header-login-page input[type="checkbox"], .ttm-header-login-page input[type="radio"] {
    width: 0;
    position: relative;
    margin-left: 25px;
    position: relative;
    appearance: none;
}
.ttm-header-login-page input[type="checkbox"]:before, .ttm-header-login-page input[type="radio"]:before {
    position: absolute;
    content: '';
    left: -25px;
    bottom: -4px;
    height: 20px;
    width: 20px;
    background-color: transparent;
    display: block;
    border: 1px solid var(--ttm-light-white);
    border-radius: 50%;
}
.ttm-header-login-page input[type="checkbox"]:checked:after, .ttm-header-login-page input[type="radio"]:checked:after {
    content: "";
    border: solid var(--ttm-skincolor);
    border-width: 0 2px 2px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
    display: block;
    position: absolute;
    left: -18px;
	top: -13px;
    width: 6px;
    height: 11px;
    background-color: transparent !important;
}
.ttm-header-login-page .form-group.acceptionbox {
    font-size: 15px;
	line-height: 25px;
	text-align: left;
}
#registration-form .form-group.acceptionbox {
	text-align: center;
}
.ttm-header-login-page .forgot-password-box a {
    opacity: 70%;
}
.ttm-header-login-page .forgot-password-box {
	margin-top: 0;
    float: right;
}
.ttm-header-login-page input[type="submit"], .ttm-header-login-page .forgot-pw-btn {
    font-size: var(--button_fontsize);
    font-weight: var(--button-font-weight);
    line-height: 14px;
    padding: 22px 35px;
    width: 100%;
    border-radius: var(--border-radius-box) 0;
    background: transparent;
    background-color: var(--ttm-skincolor);
    color: var(--ttm-blackishcolor);
    margin-top: 20px;
    text-shadow: unset;
    box-shadow: unset;
    box-shadow: unset;
}
.ttm-header-login-page input[type="submit"]:hover,  .ttm-header-login-page .forgot-pw-btn:hover {
    background-color: var(--ttm-blackishcolor) !important;
    color: var(--ttm-whitecolor) !important;
    border-color: var(--ttm-bordercolor);
    border-radius: 0 var(--border-radius-box);
}
.ttm-header-login-page .forgot-pw-btn {
	margin-top: 0;
}
.ttm-header-login-page .forgot-pw-box {
    text-align: center;
    margin-top: 20px;
    font-weight: var(--special-element-fontweight);
}
.ttm-header-login-page .forgot-pw-box a#back-to-login-link {
    padding-left: 25px;
    position: relative;
}
.ttm-header-login-page .forgot-pw-box a i {
    position: absolute;
    left: 0;
	transition: all 0.5s ease;
}
.ttm-header-login-page .forgot-pw-box a:hover i {
    margin-left: -5px;
	transition: all 0.5s ease;
}
.login-info-box {
    text-align: center;
    margin-top: 20px;
	line-height: var(--body-line-height);
}
.login-info-box a {
    font-weight: var(--special-element-fontweight);
}
span.ttm-reg-error {
    color: var(--ttm-dark-red);
    margin-top: -28px;
    display: block;
    margin-bottom: 10px;
	font-size: 14px;
    position: absolute;
}
.ttm-header-login-page .form-group.acceptionbox .ttm-reg-error {
	margin: 5px 0 0 0;
}
.ttm-clanlogo-wrap {
    margin-bottom: 25px;
}
.ttm-clanlogo-inner {
    margin-bottom: 10px;
}
.ttm-loginform-popup .select2-container--default .select2-selection--multiple .select2-selection__rendered li:after {
    content: '\e818';
    font-family: 'ttm-gamezi-icons';
    position: absolute;
    right: 20px;
    color: var(--ttm-whitecolor);
	cursor: pointer;
}
.ttm-loginform-popup .select2-selection.select2-selection--multiple[aria-expanded="true"] .select2-selection__rendered li:after {
    content: '\e847';
}
.ttm--multistep-box.active .select2-container {
    width: 100% !important;
}
/** login/registration page **/
/** multi form **/
.ttm--multistep-box:not(:first-of-type) {
    display: none;
} 
.ttm--multistep-box {
    position: relative;
}
div#required-field-error {
    color: var(--ttm-dark-red);
    text-align: left;
    margin-bottom: 10px;
}
.field-error {
    color: var(--ttm-dark-red);
    font-size: 0.85em;
    margin-top: 5px;
    display: block;
    position: absolute;
    bottom: 0;
}
#selected-file-name {
    color: var(--ttm-skincolor);
    font-size: 13px;
}
.clan-logo-upload {
    background-color: var(--ttm-white-alpha);
    padding: 20px;
    border-radius: var(--border-radius-box) 0;
    margin-bottom: 10px;
}
.upload-box {
    border: 1px dashed var(--ttm-light-white);
    text-align: center;
    position: relative;
    cursor: pointer;
    border-radius: 15px 0;
    transition: border-color 0.3s ease;
}
.clan-logo-description {
    margin-bottom: 15px;
    font-size: calc(var(--body-font-size) - 1px);
}
.upload-box:hover {
    border-color: var(--ttm-skincolor);
}
.ttm--multistep-box h5 {
    margin-bottom: 20px;
}
.upload-content {
    display: flex;
    flex-direction: row;
}
.upload-icon {
    width: 40px;
    height: 40px;
    -webkit-mask: url(../images/uploadimage.svg) no-repeat 100% 100%;
    mask: url(../images/uploadimage.svg) no-repeat 100% 100%;
    -webkit-mask-size: cover;
    mask-size: cover;
    margin: auto;
    background-color: var(--ttm-skincolor);
}
.upload-content-icon {
    background: var(--ttm-white-alpha);
    width: 93px;
    height: 93px;
    align-content: center;
    border-radius: 15px 0 0;
	overflow: hidden;	
}
.upload-content-inner {
    text-align: center;
    width: calc(100% - 93px);
    align-content: center;
}
.upload-box > label {
    margin-bottom: 0;
    font-weight: 400;
    display: block;
}
.upload-content-inner h5, .upload-content-inner p {
    margin-bottom: 0;
}
.upload-content-inner p {
    color: rgba(255,255,255,0.5);
}
.nxt-prev-button {
    display: flex;
    gap: 20px;
    margin: 0;
    align-items: center;
    justify-content: center;
}
.nxt-prev-button input[type="button"], .nxt-prev-button button {
    padding: 21px 35px 21px;
    margin-top: 17px;
}
.ttm-agrimentbox {
    text-align: center;
}
.nxt-prev-button input[type="button"]:hover {
    border-radius: 0 var(--ttm-button-shape);
}
.nxt-prev-button input[type="button"].fs_next_btn {
    width: 100%;
    margin: 0;
	background: var(--ttm-skincolor);
    color: var(--ttm-blackishcolor);
}
/** multi form **/
.ttm-header-login-page .select2-container--default .select2-selection--multiple .select2-selection__rendered li {
    display: none;
}
.ttm-header-login-page .select2-container--default .select2-selection--multiple .select2-selection__rendered li:last-child {
    display: block;
}
.ttm-header-login-page .select2-container--default .select2-selection--multiple .select2-selection__rendered li:last-child .select2-search__field {
    width: 100% !important;
}
.ttm-header-login-page .select2-container--default .select2-selection--multiple .select2-selection__clear {
    display: none;
}
ul#selected_players_list {
    padding: 0 0 22px 0;
    margin: 0 0 25px 0;
    display: flex;
    gap: 25px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    border-bottom: 1px solid var(--ttm-light-white);
}
#selected_players_list li {
    list-style: none;
    margin-bottom: 0;
    display: flex;
    gap: 10px;
}
#selected_players_list .t-user-image {
    position: relative;
    width: 45px;
    height: 45px;
}
#selected_players_list .t-user-image img {
    border-radius: 50%;
    vertical-align: middle;
    margin-right: 8px;
}
#selected_players_list .t-user-image .remove-user {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgba(0,0,0,0.5);
    color: var(--ttm-dark-red);
    border-radius: 50%;
    font-size: 30px;
    text-align: center;
    line-height: 45px;
    cursor: pointer;
    opacity: 0;
    transition: all 0.3s ease;
}
#selected_players_list li:hover .t-user-image .remove-user {
    opacity: 1;
}
#selected_players_list  .t-user-details .t-user-rank {
    font-size: 14px;
    line-height: 20px;
    color: var(--ttm-whitecolor);
}
#selected_players_list  .t-user-details .t-user-name {
    font-size: 14px;
    font-weight: var(--button-font-weight);
    line-height: 26px;
    color: var(--ttm-whitecolor);
    text-transform: capitalize;
}
#selected_players_list li:hover .t-user-details .t-user-name {
    color: var(--ttm-skincolor);
}